Name:           terminology
Version:        1.0.0
Release:        2%{?dist}
License:        BSD
Summary:        EFL based terminal emulator
Url:            http://www.enlightenment.org
Group:          User Interface/Desktops
Source0:        http://download.enlightenment.org/rel/apps/%{name}/%{name}-%{version}.tar.xz
BuildRequires:  desktop-file-utils
BuildRequires:  efl-devel elementary-devel
BuildRequires:  gettext-devel autoconf automake libtool
Requires:       terminus-fonts 
Requires:       xorg-x11-fonts-misc

%description
Fast and lightweight terminal emulator using EFL libraries.

%prep
%setup -q
NOCONFIGURE=true ./autogen.sh

%build
%configure --disable-silent-rules
make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot} INSTALL="/usr/bin/install -p"

#Remove fonts that already exist in Fedora
rm -rf %{buildroot}%{_datadir}/terminology/fonts/10x20.pcf
rm -rf %{buildroot}%{_datadir}/terminology/fonts/4x6.pcf
rm -rf %{buildroot}%{_datadir}/terminology/fonts/5x7.pcf
rm -rf %{buildroot}%{_datadir}/terminology/fonts/5x8.pcf
rm -rf %{buildroot}%{_datadir}/terminology/fonts/6x10.pcf
rm -rf %{buildroot}%{_datadir}/terminology/fonts/6x12.pcf
rm -rf %{buildroot}%{_datadir}/terminology/fonts/6x13.pcf
rm -rf %{buildroot}%{_datadir}/terminology/fonts/6x9.pcf
rm -rf %{buildroot}%{_datadir}/terminology/fonts/7x13.pcf
rm -rf %{buildroot}%{_datadir}/terminology/fonts/7x14.pcf
rm -rf %{buildroot}%{_datadir}/terminology/fonts/8x13.pcf
rm -rf %{buildroot}%{_datadir}/terminology/fonts/9x15.pcf
rm -rf %{buildroot}%{_datadir}/terminology/fonts/9x18.pcf
rm -rf %{buildroot}%{_datadir}/terminology/fonts/terminus-*

desktop-file-validate %{buildroot}/%{_datadir}/applications/terminology.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc README COPYING
%{_mandir}/man1/*
%{_bindir}/tyalpha
%{_bindir}/tybg
%{_bindir}/tycat
%{_bindir}/tyls
%{_bindir}/typop
%{_bindir}/tyq
%{_bindir}/terminology
%{_datadir}/applications/terminology.desktop
%{_datadir}/icons/terminology.png
%{_datadir}/terminology


%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jan 16 2017 Tom Callaway <spot@fedoraproject.org> - 1.0.0-1
- update to 1.0.0

* Thu Dec  1 2016 Tom Callaway <spot@fedoraproject.org> - 0.9.1-8.20161129git6cc0abd
- Update to git latest, since upstream has forgotten how to do a proper release

* Fri Jul 15 2016 Ding-Yi Chen <dchen@redhat.com> - 0.9.1-7
- Rebuild for efl-1.17.2

* Mon Mar 14 2016 Ding-Yi Chen <dchen@redhat.com> - 0.9.1-6
- Rebuild for efl-1.17.0

* Fri Mar 04 2016 Conrad Meyer <cemeyer@uw.edu> - 0.9.1-5
- Pull bugfix from terminology git to fix issue users may be hitting in the
  field: https://retrace.fedoraproject.org/faf/reports/997237/

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jan 21 2016 Ding-Yi Chen <dchen@redhat.com> - 0.9.1-3
- rebuild for efl-1.16.1

* Tue Nov 10 2015 Tom Callaway <spot@fedoraproject.org> - 0.9.1-2
- rebuild for new EFL

* Mon Sep 28 2015 Tom Callaway <spot@fedoraproject.org> - 0.9.1-1
- update to 0.9.1

* Tue Sep  8 2015 Tom Callaway <spot@fedoraproject.org> - 0.9.0-1
- update to 0.9.0

* Thu Aug 13 2015 Tom Callaway <spot@fedoraproject.org> - 0.8.0-5
- bump to rebuild with new EFL

* Sat Jul 11 2015 Conrad Meyer <cemeyer@uw.edu> - 0.8.0-4
- Bump to rebuild with new EFL (rh #1242166)

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun  1 2015 Tom Callaway <spot@fedoraproject.org> - 0.8.0-2
- dep on efl-devel

* Sun Feb 15 2015 Conrad Meyer <cemeyer@uw.edu> - 0.8.0-1
- Update to new upstream 0.8.0

* Mon Oct 13 2014 Conrad Meyer <cemeyer@uw.edu> - 0.7.0-1
- Update to new upstream 0.7.0 (now with localization)
- Add gettext BR per packaging guidelines on locale files
- Use %%find_lang per packaging guidelines on locale files

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jul 04 2014 Conrad Meyer <cemeyer@uw.edu> - 0.6.1-1
- Update to 0.6.1

* Thu Jul 03 2014 Conrad Meyer <cemeyer@uw.edu> - 0.6.0-1
- Update to 0.6.0 for numerous bugfixes, including the annoying T627
  (https://phab.enlightenment.org/T627)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Dec 10 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 0.4.0-1
- Update to 0.4.0 (thanks Conrad Meyer)

* Sun Oct 13 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 0.3.0-3
- Remove post scriptlets as per review.

* Wed Oct 09 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 0.3.0-2
- Remove bundled fonts that already exist in Fedora.
- Add icon and desktop scriptlets

* Tue Oct 08 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 0.3.0-1
- Update to 0.3.0
- Fix license
- Update BRs

* Wed Jan 02 2013 Rahul Sundaram <sundaram@fedoraproject.org> - 0.2.0-1
- initial spec
